import logging
from setuptools import setup, find_packages

logging.basicConfig(level=logging.DEBUG)
log = logging.getLogger(__name__)
log.debug('Running setup...')

version = "2.0.2"
setup(
    name="bonsai-ai",
    version=version,
    description="Simulator interface library for Bonsai AI platform v2",
    long_description=open('README.md').read(),
    # url='http://github.com/BonsaiAI/bonsai-python',
    url="http://bons.ai",
    author="Bonsai, Inc.",
    author_email='opensource@bons.ai',
    license="BSD",
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Scientific/Engineering :: Artificial Intelligence',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Natural Language :: English'
    ],
    keywords="bonsai",
    install_requires=[
        'protobuf>=3.0.0,<4',
        'tornado>=4.5.0',
        'requests>=2.11',
        'configparser>=3.5.0'
    ],
    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, '
                    '!=3.3.*, !=3.4.*',
    packages=find_packages(),
)
